# Function configFields

- configFields(
  field: any,
  ): (
  | {
  input_type?: undefined;
  label: string;
  name: string;
  options?: undefined;
  sublabel?: undefined;
  type: string;
  }
  | {
  input_type?: undefined;
  label: string;
  name: string;
  options?: undefined;
  sublabel: string;
  type: string;
  }
  | {
  input_type: string;
  label: string;
  name: string;
  options: string[];
  sublabel?: undefined;
  type?: undefined;
  }
  )[]

  #### Parameters

  - field: any

  #### Returns (
  | {
  input_type?: undefined;
  label: string;
  name: string;
  options?: undefined;
  sublabel?: undefined;
  type: string;
  }
  | {
  input_type?: undefined;
  label: string;
  name: string;
  options?: undefined;
  sublabel: string;
  type: string;
  }
  | {
  input_type: string;
  label: string;
  name: string;
  options: string[];
  sublabel?: undefined;
  type?: undefined;
  }
  )[]

  - Defined in packages/saltcorn-data/base-plugin/types.js:1014